package biblioteca;

import java.util.*;

public class Autore
{
	String nome;
	ArrayList<Libro> libri;

	public Autore(String nomeAutore)
	{
		nome = nomeAutore;
		libri = new ArrayList<Libro>();
	}

	public boolean add(Libro l)
	{
		if(isAlreadyPresent(l))
		{
			return false;
		}
		libri.add(l);
		return true;
	}

	public boolean isAlreadyPresent(Libro l)
	{
		return libri.contains(l);
	}

	public String toString()
	{
		return "" + nome + ": " + libri.toString();
	}

	public boolean equals(Object o)
	{
		//stesso discorso fatto in libro per la presenza di un controllo
		Autore a = (Autore)o;
		return nome.equals(a.nome);
	}
}
