package biblioteca;

import java.io.*;
import java.util.*;

public class Libreria
{
	ArrayList<Autore> autori;

	public Libreria()
	{
		autori = new ArrayList<Autore>();
	}

	public void mainLoop()
	{
		Scanner scIn;

		scIn = new Scanner(System.in);

		while(true)
		{
			System.out.print("Comando ? > ");
			String line = scIn.nextLine();

			if(line.equals("") || line.equals("esci") || line.equals("basta"))
			{
				//esco
				break;
			}
			else if(line.equals("leggi"))
			{
				leggi(scIn);
			}
			else if(line.equals("autore"))
			{
				autore(scIn);
			}
			else if(line.equals("stampa"))
			{
				stampa(scIn);
			}
			else
			{
				System.out.println("Comando <" + line + "> non riconosciuto");
			}
		}
		scIn.close();
	}
	
	private void leggi(Scanner scIn)
	{
		//leggo da file
		Scanner scFile;

		System.out.print("Nome file ? > ");
		String nomeFile = scIn.nextLine();

		try
		{
			scFile = new Scanner(new File(nomeFile));
			//assumo che il file contenga sempre gruppi di tre
			//linee, niente records smozzicati.
			while(scFile.hasNextLine())
			{
				Libro nuovoLibro = new Libro(scFile.nextLine(), scFile.nextLine(), scFile.nextLine());
				Autore autNuovo = null;
				Autore tmpAut = new Autore(nuovoLibro.autore);
				for(Autore autoreCorr: autori)
				{
					if(tmpAut.equals(autoreCorr))
					{
						autNuovo = autoreCorr;
						break;
					}
				}
				if(autNuovo == null)
				{
					autNuovo = tmpAut;
					autori.add(tmpAut);
				}
				autNuovo.add(nuovoLibro);
			}
			scFile.close();
		}
		catch(FileNotFoundException fnfe)
		{
			fnfe.printStackTrace();
		}
	}

	private void autore(Scanner scIn)
	{
		//stampo il singolo autore
		System.out.print("Autore ? > ");
		String autore = scIn.nextLine();

		//se cambia la semnatica di identita' di autori
		//dovra' cambiare come costruisco autCorrente
		Autore autCorrente = new Autore(autore);

		Iterator<Autore> iter = autori.iterator();
		while(iter.hasNext())
		{
			Autore aut = iter.next();
			if(autCorrente.equals(aut))
			{
				System.out.println(aut);
				break;
			}
		}
		/*
		Iterator<Autore> iter = autori.iterator();
		while(iter.hasNext())
		{
			Autore aut = iter.next();
			if(autore.equals(aut.nome))
			{
				System.out.println(aut);
				break;
			}
		}
		*/
		/*
		for(Autore aut: autori)
		{
			if(autore.equals(aut.nome))
			{
				System.out.println(aut);
				break;
			}
		}
		*/
	}

	private void stampa(Scanner scIn)
	{
		//stampo tutto
		System.out.println(autori);
	}

	public static void main(String[] argv)
	{
		(new Libreria()).mainLoop();
	}
}
