package biblioteca;

import java.io.*;
import java.util.*;

public class Libreria
{
	List<List<Media>> media;

	public Libreria()
	{
		media = new ArrayList<List<Media>>();
	}

	public void mainLoop()
	{
		Scanner scIn;

		scIn = new Scanner(System.in);

		while(true)
		{
			System.out.print("Comando ? > ");
			String line = scIn.nextLine();

			if(line.equals("") || line.equals("esci") || line.equals("basta"))
			{
				//esco
				break;
			}
			else if(line.equals("leggi"))
			{
				leggi(scIn);
			}
			/*
			else if(line.equals("autore"))
			{
				autore(scIn);
			}
			*/
			else if(line.equals("stampa"))
			{
				stampa(scIn);
			}
			else
			{
				System.out.println("Comando <" + line + "> non riconosciuto");
			}
		}
		scIn.close();
	}
	
	private void leggi(Scanner scIn)
	{
		//leggo da file
		Scanner scFile;

		System.out.print("Nome file ? > ");
		String nomeFile = scIn.nextLine();

		try
		{
			scFile = new Scanner(new File(nomeFile));
			//assumo che il file contenga sempre record integri,
			//niente records smozzicati.
			while(scFile.hasNextLine())
			{
				String tipoMedia = scFile.nextLine();
				Media m = MediaFactory.getMedia(tipoMedia, scFile);
				Iterator<List<Media>> = media.iterator();
				List<Media> lista = null;
				while(iter.hasNext())
				{
					Lista<Media> tmp = iter.next();
					if(tmp.tipoMediaContenuto().equals(tipoMedia))
					{
						//trovata
						lista = tmp;
						lista.add(m);
						break;
					}
				}
				if(lista == null)
				{
					lista = new LinkedList<Media>(m);
					media.add(lista);
				}
			}
		}
		catch(FileNotFoundException fnfe)
		{
			fnfe.printStackTrace();
		}
	}

	private void autore(Scanner scIn)
	{
		//stampo il singolo autore
		System.out.print("Autore ? > ");
		String autore = scIn.nextLine();

		//se cambia la semnatica di identita' di autori
		//dovra' cambiare come costruisco autCorrente
		Autore autCorrente = new Autore(autore);

		Iterator<Autore> iter = autori.iterator();
		while(iter.hasNext())
		{
			Autore aut = iter.next();
			if(autCorrente.equals(aut))
			{
				System.out.println(aut);
				break;
			}
		}
		/*
		Iterator<Autore> iter = autori.iterator();
		while(iter.hasNext())
		{
			Autore aut = iter.next();
			if(autore.equals(aut.nome))
			{
				System.out.println(aut);
				break;
			}
		}
		*/
		/*
		for(Autore aut: autori)
		{
			if(autore.equals(aut.nome))
			{
				System.out.println(aut);
				break;
			}
		}
		*/
	}

	private void stampa(Scanner scIn)
	{
		//stampo tutto
		System.out.println(autori);
	}

	public static void main(String[] argv)
	{
		(new Libreria()).mainLoop();
	}
}
