package comparabili;

import java.util.*;
import java.io.*;

public class ListaOrdinataAutomobili
{
	public static void main(String[] argv)
	{
		List<Automobile> lista = new LinkedList<Automobile>();

		Scanner s = null;
		try
		{
			s = new Scanner(new File(argv[0]));
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
			System.exit(1);
		}

		while(s.hasNextLine())
		{
			Automobile a = new Automobile();
			a.leggiDati(s);
			lista.add(a);
		}

		s.close();

		System.out.println(lista);
		Collections.sort(lista);
		System.out.println(lista);
		Collections.sort(lista, new ComparaAutomobiliPerModello());
		System.out.println(lista);

		List<Mela> lm = new LinkedList<Mela>();
		//List lm = new LinkedList();
		try
		{
			s = new Scanner(new File(argv[1]));
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
			System.exit(1);
		}
		while(s.hasNextLine())
		{
			Mela m = new Mela();
			m.leggiDati(s);
			lm.add(m);
		}
		s.close();
		System.out.println(lm);
		Collections.sort(lm);
		System.out.println(lm);
	}
}
